
Figure - Bug #118912
【AF】【EVT3】【Monkey】115版本monkey测试过程中设备重启
2023-06-28 15:19 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-28

Priority: Immediate Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 115

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【测试环境】

中控0092

副屏0115

【blacklist】

com.tc.logclient

com.microsoft.emmx

com.example.android.locationattribution

com.thundercomm.mcuupgrade

com.sohu.inputmethod.sogou.car

com.android.music

com.thundercomm.gamecenter 

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

开机次数+1

开机时间变为3小时（此时距离开始测试有5小时左右）

说明设备在monkey测试2小时左右重启

History

#1 - 2023-06-28 15:20 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118912

#2 - 2023-06-28 16:32 - CD FW 曹覃刚

- File Screenshot from 2023-06-28 16-19-15.png added

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118912


- Need_Info changed from -- to TEST

Hi 永红

请检查截图

000150_persist_02548_221111_153935.log -> 最后一次monkey日志打印

000150_persist_02554_221111_153940.log -> 文件乱码

000150_persist_02560_221111_153943.log -> 文件乱码

000151_persist_02568_221111_154020.log -> 设备重新启动了，且开机次数发生了变化

①开机次数发生变化，因此不是上层发生异常重启，而是断电重启，跟测试沟通，并没有主动断电，因此应该是异常断电

②重启前的日志文件乱码，因此不是正常的主动下电操作

结合这两点可知，是异常的断电重启

#3 - 2023-07-03 15:35 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

7.3

分析得出为异常断电，先关闭此问题

#4 - 2023-07-03 15:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-07-03 15:36 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Screenshot from 2023-06-28 16-19-15.png 71.2 KB 2023-06-28 CD FW 曹覃刚
